org.wildfly.swarm.config.logging

## Enum Level

- java.lang.Object
- - java.lang.Enum<Level>
  - - org.wildfly.swarm.config.logging.Level

- All Implemented Interfaces:
    Serializable, Comparable<Level>

      public enum Level
      extends Enum<Level>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `CONFIG`
    `DEBUG`
    `ERROR`
    `FATAL`
    `FINE`
    `FINER`
    `FINEST`
    `INFO`
    `OFF`
    `SEVERE`
    `TRACE`
    `WARN`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final Level ALL

    - #### FINEST

          public static final Level FINEST

    - #### FINER

          public static final Level FINER

    - #### TRACE

          public static final Level TRACE

    - #### DEBUG

          public static final Level DEBUG

    - #### FINE

          public static final Level FINE

    - #### CONFIG

          public static final Level CONFIG

    - #### INFO

          public static final Level INFO

    - #### WARN

          public static final Level WARN

    - #### WARNING

          public static final Level WARNING

    - #### ERROR

          public static final Level ERROR

    - #### SEVERE

          public static final Level SEVERE

    - #### FATAL

          public static final Level FATAL

    - #### OFF

          public static final Level OFF

  - ### Method Detail

    - #### values

          public static Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Level c : Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Level valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Level>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.